NAME = dpchat
EXT = exe
GLOBAL_RECOMPILE = $(MANROOT)\recompdd.log
WANTASM=1
IS_32 = 1

GOALS = $(PBIN)\$(NAME).$(EXT)

LIBS    =libcmt.lib kernel32.lib user32.lib dplayx.lib \
         gdi32.lib advapi32.lib uuid.lib libc.lib

OBJS    =  dpchat.obj dialog.obj lobby.obj
	  
!if "$(DEBUG)" == "debug"
COPT =-YX -DSTRICT -DDEBUG -Zi -Fd$(NAME).PDB
AOPT =-DDEBUG
LOPT =-debug:full -debugtype:cv -pdb:$(NAME).pdb
ROPT =-DDEBUG
!else
COPT =-YX -DSTRICT 
AOPT =
LOPT =-debug:none
ROPT =
!endif
RES = $(NAME).res 

!if ("$(DEBUG)" == "ntretail") || ("$(DEBUG)" == "ntdebug")
CFLAGS	=$(COPT) -Oxa -D_X86_ $(CDEBUG) -Fo$@
!else
CFLAGS  =$(COPT) -Oxa -D_X86_ $(CDEBUG) -Fo$@ 
!endif
AFLAGS	=$(AOPT) -Zp4 -DSTD_CALL -DBLD_COFF -coff
LFLAGS  =$(LOPT) 
RCFLAGS	=$(ROPT) -i $(DEVROOT)\msdev\mfc\include

!include ..\..\..\proj.mk

$(NAME).$(EXT): \
	$(OBJS) ..\default.mk $(RES)
	@$(LINK) $(LFLAGS) @<<
-out:$(NAME).$(EXT)
-map:$(NAME).map
-machine:i386
-subsystem:windows,4.0
$(LIBS)
$(RES)
$(OBJS)
<<
